Subject: ncurses-4.2 - makefile fails
From: [email-masked] (Chris Searle)

26 Aug 1998 11:29:52 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
To: [email-masked]

OK, I'm trying to build ncurses 4.2.

../configure gets all the way to the last line which calls 
make preinstall

This returns:

/c: /c: No such file or directory
make: *** [preinstall] Error 127

Now, I originally had /bin/sh as sh and not bash, reading the archives
I've tried copying bash into sh. Only difference is the error code (sh
gives 2, bash gives 127).

make -n preinstall gives:

echo ''
echo '** Configuration summary for NCURSES 4.2 980228:'
echo ''
echo '      bin directory: '/usr/local/bin
echo '      lib directory: '/usr/local/lib
echo '  include directory: '/usr/local/include
echo '      man directory: '/usr/local/man
echo ' terminfo directory: '/usr/local/share/terminfo
echo ''
if test "/usr/local/include" != "/usr/local/include" ; then \
                echo '** Include-directory is not in a standard location'; fi

I'm not to strong on shell scripting, but the quotes (lines 5 to 8)
looked out of place, I've tried them at the end of the line but no
change.

make is version 
GNU Make version 3.75-B19, by Richard Stallman and Roland McGrath.

Now, I'm not sure whether it's a shell interaction issue, a makefile
issue, an environmental issue, a configure issue or what. So I'm not
sure what info I need to include in this. (I guess it's not configure
as make does this direct from the bash prompt)

If it helps, I've got b19, Sergey's latest patch, running NT4.

If anyone has any ideas, or even what info will help/is needed I'd be
really grateful.

Thanks in advance.

-- 
Chris Searle - [email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".